export const NavPageLink = {
    view(vnode) {
        const href = vnode.attrs.href
        // See https://mithril.js.org/parsePathname.html
        const currentPath = m.parsePathname(m.route.get()).path
        const isCurrent = currentPath === m.parsePathname(href).path

        return m(
            m.route.Link,
            {
                href,
                class: isCurrent ? "current" : null,
                title: vnode.attrs.iconOnly ? vnode.attrs.label : null,
            },
            [
                vnode.attrs.icon
                    ? m("i", {
                          class: vnode.attrs.icon,
                      })
                    : null,
                vnode.attrs.iconOnly ? null : vnode.attrs.label,
            ],
        )
    },
}
